Subject: Slippery Elm as Herbal Re

From: [email-masked] (Paul Maser)
Date: Tue, 28 Mar 1995 09:17:00 -0800

BI> I recently read an article that talked about using the bark of the
  >Slippery Elm tree as an herbal remedy for various maladies.  It said it is
  >especially helpful relieving problems with the mucous membranes of the body.
  >Has anyone ever tried using Slippery Elm as a treatment for colitis?

Bill;
I used a combination of Slippery Elm Bark and Psyllium Husk powder and
found it worked very effectively, both on ulcers and colitis. To one
part Slippery Elm Bark powder and 5 parts Psyllium Husk powder, I added
what ever other herbs were available that would assist in the healing.
Perhaps a little licorice root or stevia herb for flavor and healing, an
astrigent such as bayberry or bearberry in a small quantity, a little
golden seal leaf, some wild ginger root and a touch of ginseng (panax
quinquifolium). Don't forget that diet is a major factor in the speed of
the healing process, so stay away from the golden arches and stick to a
mild food diet. A little note, after studying herbs, natural healing,
nutrition and as part of gardening, composting, I would recommend (if
anyone is that interested) studying composting if you would like to gain
an understanding of the way you digestive tract works.
Paul

 * OLX 2.1 * [email-masked]

-----------------------------------------------------------------------------
Internet: [email-masked] (Paul Maser)
This message was processed by NetXpress from Merlin Systems Inc.
-----------------------------------------------------------------------------